Subject: Re: bug#33261: [substitute-urls] Fails when given only "berlin.guixsd.org"

From: Leo Famulari <[email-masked]>
Date: Mon, 5 Nov 2018 14:46:18 -0500

On Mon, Nov 05, 2018 at 07:13:22PM +0100, Björn Höfling wrote:
> I would not consider this a bug: It clearly says that it is not a
> proper URI. Also in the documentation all URLs/URIs are written in the
> form of 
> 
> PROTOCOL://SERVER/PATH.

I agree that it's not a bug, but perhaps it's more like a wishlist item.

Ideally, users would not need to concern themselves with implementation
details like protocol selection.

Guix could offer a more unified or simpler interface for authorizing and
selecting substitute servers, and it would handle server addresses,
communication protocols, and key authorization. Currently it's very
ad-hoc.